Checks: "bugprone-*,google-*,-google-explicit-constructor,cppcoreguidelines-avoid-const-or-ref-data-members,cppcoreguidelines-init-variables,cppcoreguidelines-interfaces-global-init,cppcoreguidelines-misleading-capture-default-by-value,cppcoreguidelines-missing-std-forward,cppcoreguidelines-no-malloc,cppcoreguidelines-pro-type-member-init,cppcoreguidelines-rvalue-reference-param-not-moved,cppcoreguidelines-slicing,cppcoreguidelines-virtual-class-destructor,performance-unnecessary-copy-initialization",
CheckOptions: [
  {
    key: cppcoreguidelines-narrowing-conversions.WarnOnFloatingPointNarrowingConversion,
    value: false
  },
  {
    key: cppcoreguidelines-narrowing-conversions.WarnOnIntegerToFloatingPointNarrowingConversion,
    value: false
  },
  {
    key: cppcoreguidelines-narrowing-conversions.IgnoreConversionFromTypes,
    value: size_t;ptrdiff_t;size_type;difference_type
  }
]
